"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _Tabs = require("webiny-ui/Tabs");

var _ImagesListImagesSettings = _interopRequireDefault(require("webiny-app-cms/editor/plugins/elements/imagesList/ImagesListImagesSettings"));

var _roundPhoto_library24px = require("webiny-app-cms/editor/plugins/elements/imagesList/icons/round-photo_library-24px.svg");

var _roundPhoto_library24px2 = require("webiny-app-cms/admin/assets/round-photo_library-24px.svg");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _Carousel = _interopRequireDefault(require("./components/Carousel"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var _default = () => {
  const PreviewBox = (0, _reactEmotion.default)("div")({
    textAlign: "center",
    margin: "0 auto",
    width: 50,
    svg: {
      width: 50
    }
  });
  return [{
    name: "cms-element-images-carousel",
    type: "cms-element",
    toolbar: {
      title: "Image Carousel",
      group: "cms-element-group-basic",

      preview() {
        return _react.default.createElement(PreviewBox, null, _react.default.createElement(_roundPhoto_library24px.ReactComponent, null));
      }

    },
    settings: ["cms-element-settings-delete"],
    target: ["cms-element-row", "cms-element-column"],
    onCreate: "open-settings",

    create(options = {}) {
      return _objectSpread({
        type: "cms-element-images-carousel",
        data: {
          component: "cms-element-images-list-component-mosaic",
          settings: {
            margin: {
              desktop: {
                all: 0
              },
              mobile: {
                all: 0
              }
            },
            padding: {
              desktop: {
                all: 0
              },
              mobile: {
                all: 0
              }
            }
          }
        }
      }, options);
    },

    render({
      element
    }) {
      return _react.default.createElement(_Carousel.default, {
        data: element.data
      });
    }

  }, {
    name: "cms-element-advanced-settings-images-carousel-filter",
    type: "cms-element-advanced-settings",
    element: "cms-element-images-carousel",

    render(props) {
      return _react.default.createElement(_Tabs.Tab, {
        icon: _react.default.createElement(_roundPhoto_library24px2.ReactComponent, null),
        label: "Images"
      }, _react.default.createElement(_ImagesListImagesSettings.default, (0, _extends2.default)({}, props, {
        filter: true
      })));
    }

  }];
};

exports.default = _default;
//# sourceMappingURL=index.js.map