"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _utils = require("webiny-app-cms/editor/utils");

var _webinyPlugins = require("webiny-plugins");

var _classnameElement = _interopRequireDefault(require("./classnameElement"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

(0, _webinyPlugins.registerPlugins)((0, _classnameElement.default)());
var _default = {
  name: "cms-block-classname",
  type: "cms-block",
  category: "cms-block-category-general",
  title: "ClassName block",

  create(options = {}) {
    return (0, _utils.createElement)("cms-element-classname", _objectSpread({}, options, {
      elements: [(0, _utils.createRow)({
        elements: [(0, _utils.createColumn)({
          data: {
            width: 100
          }
        })]
      })]
    }));
  },

  image: {
    width: 500,
    height: 70,
    aspectRatio: 500 / 70
  },

  preview() {
    return _react.default.createElement("img", {
      src: "https://via.placeholder.com/500x70?text=Block+with+custom+className",
      alt: "ClassName block"
    });
  }

};
exports.default = _default;
//# sourceMappingURL=index.js.map