"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Block = _interopRequireDefault(require("webiny-app-cms/render/plugins/elements/block/Block"));

var _default = () => {
  return {
    name: "cms-render-element-classname",
    type: "cms-render-element",
    element: "cms-element-classname",

    render(props) {
      const {
        element: {
          data: {
            classname
          }
        }
      } = props;
      return _react.default.createElement("div", {
        className: classname
      }, _react.default.createElement(_Block.default, props));
    }

  };
};

exports.default = _default;
//# sourceMappingURL=index.js.map