"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _PageSettingsAdditional = _interopRequireDefault(require("./components/PageSettingsAdditional"));

var _reactFontawesome = require("@fortawesome/react-fontawesome");

var _default = [{
  name: "cms-editor-page-settings-additional",
  type: "cms-editor-page-settings",
  title: "Custom additional fields",
  description: "Add special page params, fields, images for development purposes",
  icon: _react.default.createElement(_reactFontawesome.FontAwesomeIcon, {
    icon: "user-cog",
    size: "1x"
  }),
  fields: `
      additional {
        image {
          src
        }
        description
        fields {
          property
          content
        }
      }
    `,

  render(props) {
    return _react.default.createElement(_PageSettingsAdditional.default, props);
  }

}];
exports.default = _default;
//# sourceMappingURL=index.js.map