"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _Tabs = require("webiny-ui/Tabs");

var _reactEmotion = _interopRequireDefault(require("react-emotion"));

var _roundStyle24px = require("webiny-app-cms/editor/plugins/elements/imagesList/icons/round-style-24px.svg");

var _Grid = require("webiny-ui/Grid");

var _SingleImageUpload = _interopRequireDefault(require("webiny-admin/components/SingleImageUpload"));

var _Input = require("webiny-ui/Input");

var _CustomVideo = _interopRequireDefault(require("../render/components/CustomVideo"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var _default = () => {
  const PreviewBox = (0, _reactEmotion.default)("div")({
    textAlign: "center",
    margin: "0 auto",
    width: 50,
    svg: {
      width: 50
    }
  });
  return [{
    name: "cms-element-custom-video",
    type: "cms-element",
    toolbar: {
      title: "Custom video",
      group: "cms-element-group-custom",

      preview() {
        return _react.default.createElement(PreviewBox, null, _react.default.createElement("svg", {
          width: "50",
          height: "35",
          viewBox: "0 0 50 35",
          xmlns: "http://www.w3.org/2000/svg"
        }, _react.default.createElement("path", {
          d: "M50 0v35h-50v-35h50zm-36.791 2.3v30.4h23.679v-30.4h-23.679zm-2.348 30.4v-5.8h-8.513v5.8h8.513zm0-8.1v-5.9h-8.513v5.9h8.513zm0-8.3v-5.9h-8.513v5.9h8.513zm0-8.2v-5.8h-8.513v5.8h8.513zm28.376-5.8v5.8h8.415v-5.8h-8.415zm0 8.1v5.9h8.415v-5.9h-8.415zm0 8.3v5.9h8.415v-5.9h-8.415zm0 8.2v5.8h8.415v-5.8h-8.415zm-10.176-9.4c-2.446-1.4-4.697-2.8-7.045-4.1v8.1c2.25-1.3 4.599-2.6 7.045-4zm2.446 1.3c-3.229 1.9-6.458 3.7-9.589 5.6-1.076.6-2.153-.1-2.153-1.3v-11.2c0-1.2 1.174-1.9 2.153-1.3 3.131 1.9 6.36 3.7 9.589 5.6.881.6.881 2 0 2.6z",
          fill: "#000",
          "fill-rule": "nonzero"
        })));
      }

    },
    settings: ["cms-element-settings-delete"],
    target: ["cms-element-row", "cms-element-column"],
    onCreate: "open-settings",

    create(options = {}) {
      return _objectSpread({
        type: "cms-element-custom-video",
        data: {}
      }, options);
    },

    render(props) {
      return _react.default.createElement(_CustomVideo.default, props);
    }

  }, {
    name: "cms-element-advanced-settings-custom-video",
    type: "cms-element-advanced-settings",
    element: "cms-element-custom-video",

    render({
      Bind
    }) {
      return _react.default.createElement(_Tabs.Tab, {
        icon: _react.default.createElement(_roundStyle24px.ReactComponent, null),
        label: "Options"
      }, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
        span: 6
      }, _react.default.createElement(Bind, {
        name: "videoUrl"
      }, _react.default.createElement(_Input.Input, {
        placeholder: "Enter video URL"
      })))));
    }

  }];
};

exports.default = _default;
//# sourceMappingURL=index.js.map