"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _DelayedOnChange = require("webiny-app-cms/editor/components/DelayedOnChange");

var _Grid = require("webiny-ui/Grid");

var _Input = require("webiny-ui/Input");

var _PageImage = _interopRequireDefault(require("webiny-app-cms/editor/plugins/pageSettings/components/PageImage"));

var _FieldsList = _interopRequireDefault(require("./FieldsList"));

const PageSettingsAdditional = ({
  Bind
}) => {
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Grid.Grid, null, _react.default.createElement(_Grid.Cell, {
    span: 12
  }, _react.default.createElement(Bind, {
    name: "settings.additional.description"
  }, _react.default.createElement(_DelayedOnChange.DelayedOnChange, null, _react.default.createElement(_Input.Input, {
    label: "Description" // description="Social media description (og:description)."

  })))), _react.default.createElement(_Grid.Cell, {
    span: 12
  }, _react.default.createElement(Bind, {
    name: "settings.additional.image"
  }, _react.default.createElement(_PageImage.default, {
    label: "Image"
  })))), _react.default.createElement(Bind, {
    name: "settings.additional.fields",
    defaultValue: []
  }, props => _react.default.createElement(_FieldsList.default, (0, _extends2.default)({
    prefix: "settings.additional.fields",
    Bind: Bind
  }, props))));
};

var _default = PageSettingsAdditional;
exports.default = _default;
//# sourceMappingURL=PageSettingsAdditional.js.map